| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | List of all members
OD::Uuid Class Reference
Basic

Generates a Universally Unique Identifier (UUID) More...

`#include <oduuid.h>`

Inheritance diagram for OD::Uuid:
[legend]

## Public Member Functions
| Uuid ()
| Uuid (const char *uuidstr)
| Uuid (const Uuid &)
virtual | ~Uuid ()
bool | isUdf ()
bool | isUdf () const
bool | operator!= (const Uuid &) const
Uuid & | operator= (const Uuid &)
bool | operator== (const Uuid &) const
BufferString | toString (bool withbraces) const

## Static Public Member Functions
static BufferString | create (bool withbraces)
static const Uuid & | udf ()

## Protected Member Functions
| Uuid (bool undef)

## Private Attributes
QUuid & | quuid_

## Detailed Description

Generates a Universally Unique Identifier (UUID)

<>

## Constructor & Destructor Documentation

## ◆ Uuid() [1/4]

OD::Uuid::Uuid | ( |  | ) |

## ◆ Uuid() [2/4]

OD::Uuid::Uuid | ( | const char * | uuidstr | ) |

## ◆ Uuid() [3/4]

OD::Uuid::Uuid | ( | const Uuid & |  | ) |

## ◆ ~Uuid()

virtual OD::Uuid::~Uuid | ( |  | ) |
| virtual

## ◆ Uuid() [4/4]

OD::Uuid::Uuid | ( | bool | undef | ) |
| protected

## Member Function Documentation

## ◆ create()

static BufferString OD::Uuid::create | ( | bool | withbraces | ) |
| static

## ◆ isUdf() [1/2]

bool OD::Uuid::isUdf | ( |  | ) |

## ◆ isUdf() [2/2]

bool OD::Uuid::isUdf | ( |  | ) | const

## ◆ operator!=()

bool OD::Uuid::operator!= | ( | const Uuid & |  | ) | const

## ◆ operator=()

Uuid & OD::Uuid::operator= | ( | const Uuid & |  | ) |

## ◆ operator==()

bool OD::Uuid::operator== | ( | const Uuid & |  | ) | const

## ◆ toString()

BufferString OD::Uuid::toString | ( | bool | withbraces | ) | const

## ◆ udf()

static const Uuid & OD::Uuid::udf | ( |  | ) |
| static

## Member Data Documentation

## ◆ quuid_

QUuid& OD::Uuid::quuid_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025